package Google::Ads::AdWords::v201209::DeviceTypeSearchParameter;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'https://adwords.google.com/api/adwords/o/v201209' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}


use base qw(Google::Ads::AdWords::v201209::SearchParameter);
# Variety: sequence
use Class::Std::Fast::Storable constructor => 'none';
use base qw(Google::Ads::SOAP::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %SearchParameter__Type_of :ATTR(:get<SearchParameter__Type>);
my %deviceType_of :ATTR(:get<deviceType>);

__PACKAGE__->_factory(
    [ qw(        SearchParameter__Type
        deviceType

    ) ],
    {
        'SearchParameter__Type' => \%SearchParameter__Type_of,
        'deviceType' => \%deviceType_of,
    },
    {
        'SearchParameter__Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        'deviceType' => 'Google::Ads::AdWords::v201209::DeviceType',
    },
    {

        'SearchParameter__Type' => 'SearchParameter.Type',
        'deviceType' => 'deviceType',
    }
);

} # end BLOCK







1;


=pod

=head1 NAME

Google::Ads::AdWords::v201209::DeviceTypeSearchParameter

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
DeviceTypeSearchParameter from the namespace https://adwords.google.com/api/adwords/o/v201209.

A {@link SearchParameter} for choosing which device types to get ideas and statistics for. <p>This element is supported by following {@link IdeaType}s: KEYWORD, PLACEMENT. <p>This element is supported by following {@link RequestType}s: IDEAS, STATS. 




=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * deviceType




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():






=head1 AUTHOR

Generated by SOAP::WSDL

=cut

