
package Google::Ads::AdWords::v201209::TypeMaps::MediaService;
use strict;
use warnings;

our $typemap_1 = {
               'Fault/detail/ApiExceptionFault/errors[VideoError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201209::EntityNotFound::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201209::AuthenticationError::Reason',
               'getResponse/rval/entries[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'upload/media[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AudioError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'uploadResponse/rval[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201209::Predicate',
               'getResponse/rval/entries[Audio]' => 'Google::Ads::AdWords::v201209::Audio',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]' => 'Google::Ads::AdWords::v201209::Video',
               'getResponse/rval/entries[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'uploadResponse/rval/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Image]' => 'Google::Ads::AdWords::v201209::Image',
               'uploadResponse/rval[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]' => 'Google::Ads::AdWords::v201209::Audio',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201209::RateExceededError::Reason',
               'upload/media/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[Video]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'uploadResponse/rval[Video]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201209::AuthorizationError::Reason',
               'uploadResponse/rval/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201209::Paging',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201209::NewEntityCreationError',
               'uploadResponse/rval[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'uploadResponse/rval[Audio]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201209::Media',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries[Image]' => 'Google::Ads::AdWords::v201209::Image',
               'upload/media[Audio]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'uploadResponse/rval[Video]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'upload/media/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'getResponse/rval/entries/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201209::SortOrder',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201209::DateRange',
               'uploadResponse/rval[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201209::Predicate::Operator',
               'getResponse/rval/entries[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get' => 'Google::Ads::AdWords::v201209::MediaService::get',
               'uploadResponse/rval[Audio]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'getResponse/rval/entries[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AudioError]' => 'Google::Ads::AdWords::v201209::AudioError',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[VideoError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201209::OperationAccessDenied',
               'upload/media[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201209::QuotaCheckError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Video]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'upload/media[Video]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'getResponse/rval/entries[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'getResponse/rval/entries[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201209::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[VideoError]' => 'Google::Ads::AdWords::v201209::VideoError',
               'getResponse/rval/entries/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[Video]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media[Audio]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'getResponse/rval/entries[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]' => 'Google::Ads::AdWords::v201209::ImageError',
               'getResponse/rval/entries[Audio]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'uploadResponse/rval[Video]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201209::EntityNotFound',
               'uploadResponse/rval[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/reason' => 'Google::Ads::AdWords::v201209::ImageError::Reason',
               'upload/media[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]' => 'Google::Ads::AdWords::v201209::MediaError',
               'uploadResponse/rval[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'getResponse/rval/entries[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'upload/media[Image]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'getResponse/rval/entries/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]' => 'Google::Ads::AdWords::v201209::Video',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'uploadResponse/rval/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201209::QuotaCheckError::Reason',
               'getResponse/rval/entries/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201209::DatabaseError::Reason',
               'uploadResponse/rval[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201209::NotWhitelistedError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201209::ClientTermsError::Reason',
               'uploadResponse/rval/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201209::InternalApiError',
               'getResponse/rval/entries[Image]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'getResponse/rval/entries[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AudioError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201209::NullError',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse' => 'Google::Ads::AdWords::v201209::MediaService::getResponse',
               'upload/media[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201209::MediaPage',
               'upload/media[Video]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201209::ClientTermsError',
               'getResponse/rval/entries/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'upload/media[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[VideoError]/reason' => 'Google::Ads::AdWords::v201209::VideoError::Reason',
               'upload/media[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'upload/media[Image]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'getResponse/rval/entries[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'getResponse/rval/entries[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AudioError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201209::InternalApiError::Reason',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'getResponse/rval/entries[Image]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'getResponse/rval/entries[Video]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'uploadResponse/rval[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]' => 'Google::Ads::AdWords::v201209::Image',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201209::RangeError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'uploadResponse/rval[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'uploadResponse/rval[Video]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'uploadResponse/rval[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[VideoError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'getResponse/rval/entries[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201209::OrderBy',
               'getResponse/rval/entries[Video]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'uploadResponse/rval[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/reason' => 'Google::Ads::AdWords::v201209::MediaError::Reason',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201209::SelectorError::Reason',
               'uploadResponse/rval[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201209::NotWhitelistedError',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201209::DatabaseError',
               'getResponse/rval/entries[Video]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201209::AuthorizationError',
               'Fault/detail/ApiExceptionFault/errors[VideoError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'upload/media[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201209::RequiredError::Reason',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'uploadResponse/rval/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201209::ReadOnlyError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Audio]' => 'Google::Ads::AdWords::v201209::Audio',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201209::NullError::Reason',
               'getResponse/rval/entries[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'upload' => 'Google::Ads::AdWords::v201209::MediaService::upload',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AudioError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Audio]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'uploadResponse/rval[Video]' => 'Google::Ads::AdWords::v201209::Video',
               'getResponse/rval/entries[Audio]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201209::ApiError',
               'uploadResponse/rval[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201209::SizeLimitError',
               'upload/media[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Audio]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse' => 'Google::Ads::AdWords::v201209::MediaService::uploadResponse',
               'uploadResponse/rval[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries[Image]/urls' => 'Google::Ads::AdWords::v201209::Media_Size_StringMapEntry',
               'upload/media[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201209::ApiError',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AudioError]/reason' => 'Google::Ads::AdWords::v201209::AudioError::Reason',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Video]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'upload/media[Image]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[Image]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'upload/media/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201209::ApiException',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201209::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201209::NewEntityCreationError::Reason',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Video]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'uploadResponse/rval/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Image]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'uploadResponse/rval/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201209::RequestError::Reason',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'upload/media/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Audio]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'uploadResponse/rval/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'upload/media[Video]/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media' => 'Google::Ads::AdWords::v201209::Media',
               'uploadResponse/rval[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201209::ApiException',
               'upload/media[Image]/dimensions/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'getResponse/rval/entries[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201209::OperationAccessDenied::Reason',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201209::RangeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201209::ReadOnlyError',
               'uploadResponse/rval[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201209::RequestError',
               'uploadResponse/rval[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201209::RequiredError',
               'upload/media[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'getResponse/rval/entries[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201209::AuthenticationError',
               'getResponse/rval/entries[Audio]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'uploadResponse/rval[Image]/type' => 'Google::Ads::AdWords::v201209::Media::MediaType',
               'upload/media[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Image]/urls/key' => 'Google::Ads::AdWords::v201209::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/dimensions/value' => 'Google::Ads::AdWords::v201209::Dimensions',
               'uploadResponse/rval' => 'Google::Ads::AdWords::v201209::Media',
               'uploadResponse/rval[Image]/dimensions' => 'Google::Ads::AdWords::v201209::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'upload/media[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201209::Selector',
               'upload/media/mimeType' => 'Google::Ads::AdWords::v201209::Media::MimeType',
               'getResponse/rval/entries[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'uploadResponse/rval[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'upload/media/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'uploadResponse/rval[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201209::SelectorError'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201209::TypeMaps::MediaService - typemap for MediaService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

