
package Google::Ads::AdWords::v201209::TypeMaps::AdGroupService;
use strict;
use warnings;

our $typemap_1 = {
               'queryResponse/rval/entries/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201209::ExperimentDeltaStatus',
               'mutateResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201209::ApiError',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpm' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201209::AdGroup::Status',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[BiddingError]' => 'Google::Ads::AdWords::v201209::BiddingError',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/stats/cost' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201209::Predicate',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]' => 'Google::Ads::AdWords::v201209::StatsQueryError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201209::RateExceededError::Reason',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201209::RejectedError',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids' => 'Google::Ads::AdWords::v201209::AdGroupBids',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/reason' => 'Google::Ads::AdWords::v201209::AdGroupServiceError::Reason',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201209::AdGroup::Status',
               'mutateResponse/rval/value/bids/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201209::ClientTermsError',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201209::ExperimentDeltaStatus',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::BudgetOptimizerAdGroupBids',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::BudgetOptimizerAdGroupBids',
               'mutate/operations/operand/bids/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData' => 'Google::Ads::AdWords::v201209::AdGroupExperimentData',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupBids',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201209::Predicate::Operator',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201209::DateError::Reason',
               'Fault/detail/ApiExceptionFault/errors[BetaError]' => 'Google::Ads::AdWords::v201209::BetaError',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]' => 'Google::Ads::AdWords::v201209::AdGroupServiceError',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201209::ExperimentDataStatus',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids' => 'Google::Ads::AdWords::v201209::AdGroupBids',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201209::RequiredError::Reason',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201209::PercentCPAAdGroupBids',
               'getResponse/rval/entries/stats' => 'Google::Ads::AdWords::v201209::Stats',
               'queryResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutate/operations/operand/bids' => 'Google::Ads::AdWords::v201209::AdGroupBids',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201209::EntityCountLimitExceeded',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201209::SizeLimitError',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupBids',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[BiddingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201209::InternalApiError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201209::String_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupBids',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201209::String_StringMapEntry',
               'mutateResponse/rval/value/settings[TargetingSetting]/details/criterionTypeGroup' => 'Google::Ads::AdWords::v201209::CriterionTypeGroup',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::BudgetOptimizerAdGroupBids',
               'mutateResponse/rval/value/experimentData' => 'Google::Ads::AdWords::v201209::AdGroupExperimentData',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]' => 'Google::Ads::AdWords::v201209::BiddingError',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201209::DistinctError::Reason',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201209::AdGroupPage',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201209::ClientTermsError',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201209::PercentCPAAdGroupBids',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201209::AdGroupExperimentBidMultipliers',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[TargetingSetting]' => 'Google::Ads::AdWords::v201209::TargetingSetting',
               'mutateResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201209::QueryError::Reason',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::ConversionOptimizerAdGroupBids',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/averageCpc' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::ConversionOptimizerAdGroupBids',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201209::RejectedError::Reason',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[BetaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/network' => 'Google::Ads::AdWords::v201209::Stats::Network',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201209::DateError::Reason',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201209::DatabaseError',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201209::RequestError::Reason',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/bids/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201209::Operator',
               'queryResponse/rval/entries/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/settings' => 'Google::Ads::AdWords::v201209::Setting',
               'mutate/operations/operand/bids/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query' => 'Google::Ads::AdWords::v201209::AdGroupService::query',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201209::NotEmptyError',
               'mutateResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201209::RequestError',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/experimentData' => 'Google::Ads::AdWords::v201209::AdGroupExperimentData',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201209::AuthorizationError',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::BudgetOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutateResponse/rval/value/stats/averageCpc' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/cost' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201209::NullError',
               'mutateResponse/rval/partialFailureErrors[BetaError]' => 'Google::Ads::AdWords::v201209::BetaError',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201209::ApiException',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/settings[TargetingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201209::SelectorError::Reason',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201209::RangeError::Reason',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201209::ReadOnlyError',
               'mutate/operations/operand/bids/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]' => 'Google::Ads::AdWords::v201209::StatsQueryError',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201209::NotEmptyError',
               'queryResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averageCpc' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201209::ExperimentDeltaStatus',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/settings[TargetingSetting]' => 'Google::Ads::AdWords::v201209::TargetingSetting',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201209::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupBids',
               'mutateResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201209::RangeError',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdxError]' => 'Google::Ads::AdWords::v201209::AdxError',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/reason' => 'Google::Ads::AdWords::v201209::SettingError::Reason',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/settings[TargetingSetting]/details/criterionTypeGroup' => 'Google::Ads::AdWords::v201209::CriterionTypeGroup',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/settings[TargetingSetting]/details' => 'Google::Ads::AdWords::v201209::TargetingSettingDetail',
               'mutateResponse/rval/value/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201209::NewEntityCreationError',
               'mutateResponse/rval/value/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201209::DateRange',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201209::SortOrder',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupExperimentBidMultipliers',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/settings[TargetingSetting]/details/criterionTypeGroup' => 'Google::Ads::AdWords::v201209::CriterionTypeGroup',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'get' => 'Google::Ads::AdWords::v201209::AdGroupService::get',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/stats/cost' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[BetaError]/reason' => 'Google::Ads::AdWords::v201209::BetaError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201209::QuotaCheckError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201209::ExperimentDataStatus',
               'queryResponse/rval/entries/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupExperimentBidMultipliers',
               'mutate/operations/operand/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201209::SizeLimitError::Reason',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201209::AuthenticationError::Reason',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[SettingError]/reason' => 'Google::Ads::AdWords::v201209::SettingError::Reason',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats' => 'Google::Ads::AdWords::v201209::Stats',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201209::QueryError::Reason',
               'getResponse/rval/entries/bids/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupBids',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201209::AdGroup::Status',
               'mutateResponse/rval/value/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201209::EntityNotFound::Reason',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201209::DistinctError::Reason',
               'getResponse/rval/entries/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[BiddingError]/reason' => 'Google::Ads::AdWords::v201209::BiddingError::Reason',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/settings[TargetingSetting]/details/targetAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/reason' => 'Google::Ads::AdWords::v201209::QuotaError::Reason',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201209::NullError',
               'mutateResponse/rval/partialFailureErrors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/partialFailureErrors[BiddingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupExperimentBidMultipliers',
               'queryResponse/rval' => 'Google::Ads::AdWords::v201209::AdGroupPage',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201209::AuthenticationError',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201209::NotEmptyError::Reason',
               'mutateResponse/rval/partialFailureErrors[BiddingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[TargetingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201209::RangeError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201209::DateError',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupBids',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201209::NotWhitelistedError',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201209::ApiError',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::ConversionOptimizerAdGroupBids',
               'getResponse/rval/entries/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/averageCpm' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate' => 'Google::Ads::AdWords::v201209::AdGroupService::mutate',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/reason' => 'Google::Ads::AdWords::v201209::BiddingError::Reason',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201209::SizeLimitError::Reason',
               'mutateResponse/rval/value/bids/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/network' => 'Google::Ads::AdWords::v201209::Stats::Network',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201209::EntityCountLimitExceeded',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BetaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201209::DistinctError',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201209::SelectorError',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201209::OperationAccessDenied::Reason',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201209::AdGroupReturnValue',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201209::OperationAccessDenied::Reason',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201209::DatabaseError',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201209::ExperimentDeltaStatus',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201209::OperatorError',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/reason' => 'Google::Ads::AdWords::v201209::AdGroupServiceError::Reason',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201209::NewEntityCreationError::Reason',
               'getResponse/rval/entries/bids/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201209::Selector',
               'mutateResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201209::DistinctError',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/settings[TargetingSetting]/details' => 'Google::Ads::AdWords::v201209::TargetingSettingDetail',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201209::SelectorError',
               'mutateResponse/rval/partialFailureErrors[QuotaError]' => 'Google::Ads::AdWords::v201209::QuotaError',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201209::EntityNotFound::Reason',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SettingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201209::ReadOnlyError',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[AdxError]' => 'Google::Ads::AdWords::v201209::AdxError',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201209::NotEmptyError::Reason',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201209::AuthorizationError::Reason',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201209::Paging',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201209::NewEntityCreationError',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201209::AdGroup',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201209::EntityNotFound',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201209::PercentCPAAdGroupBids',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/network' => 'Google::Ads::AdWords::v201209::Stats::Network',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[BetaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201209::AdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201209::OperationAccessDenied',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201209::QueryError',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201209::RateExceededError',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201209::RejectedError::Reason',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201209::AdGroupExperimentBidMultipliers',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutateResponse/rval/value/stats/averageCpm' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats' => 'Google::Ads::AdWords::v201209::Stats',
               'mutateResponse/rval/value/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201209::StatsQueryError::Reason',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[BetaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/averageCpc' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'queryResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201209::InternalApiError::Reason',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201209::ConversionOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201209::QuotaCheckError::Reason',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201209::DatabaseError::Reason',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201209::DateError',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201209::ClientTermsError::Reason',
               'mutateResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201209::NullError::Reason',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201209::PercentCPAAdGroupBids',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/network' => 'Google::Ads::AdWords::v201209::Stats::Network',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/bids/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/settings' => 'Google::Ads::AdWords::v201209::Setting',
               'getResponse' => 'Google::Ads::AdWords::v201209::AdGroupService::getResponse',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPCAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201209::StatsQueryError::Reason',
               'mutate/operations/operand/experimentData' => 'Google::Ads::AdWords::v201209::AdGroupExperimentData',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201209::OperatorError::Reason',
               'mutateResponse/rval/value/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/settings[TargetingSetting]/details' => 'Google::Ads::AdWords::v201209::TargetingSettingDetail',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201209::AuthorizationError::Reason',
               'mutateResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201209::RequiredError',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201209::AdGroup',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201209::RateExceededError',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201209::InternalApiError::Reason',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201209::SelectorError::Reason',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201209::ConversionOptimizerBidType',
               'mutate/operations/operand/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201209::AuthorizationError',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201209::ManualCPMAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201209::ExperimentDataStatus',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdxError]/reason' => 'Google::Ads::AdWords::v201209::AdxError::Reason',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201209::SizeLimitError',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]' => 'Google::Ads::AdWords::v201209::AdGroupServiceError',
               'mutateResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupServiceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[SettingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse' => 'Google::Ads::AdWords::v201209::AdGroupService::queryResponse',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201209::AdGroup::Status',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201209::NewEntityCreationError::Reason',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201209::RangeError::Reason',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201209::ReadOnlyError::Reason',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201209::NotWhitelistedError::Reason',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[SettingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averageCpm' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201209::ConversionOptimizerBidType',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/settings[TargetingSetting]' => 'Google::Ads::AdWords::v201209::TargetingSetting',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]' => 'Google::Ads::AdWords::v201209::QuotaError',
               'getResponse/rval/entries/bids/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BetaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201209::RequestError',
               'getResponse/rval/entries/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201209::ExperimentDataStatus',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201209::RequiredError',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201209::AuthenticationError',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201209::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/settings[TargetingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/cost' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201209::QueryError',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse' => 'Google::Ads::AdWords::v201209::AdGroupService::mutateResponse',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201209::DatabaseError::Reason',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201209::OperatorError::Reason',
               'getResponse/rval/entries/settings' => 'Google::Ads::AdWords::v201209::Setting',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SettingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutateResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201209::OperationAccessDenied',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SettingError]' => 'Google::Ads::AdWords::v201209::SettingError',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutateResponse/rval/partialFailureErrors[BetaError]/reason' => 'Google::Ads::AdWords::v201209::BetaError::Reason',
               'queryResponse/rval/entries/settings[TargetingSetting]/details/targetAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201209::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/reason' => 'Google::Ads::AdWords::v201209::QuotaError::Reason',
               'mutateResponse/rval/value/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]' => 'Google::Ads::AdWords::v201209::PhoneInteractionBid',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201209::AdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201209::EntityNotFound',
               'getResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201209::String_StringMapEntry',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids' => 'Google::Ads::AdWords::v201209::AdGroupBids',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201209::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201209::NotWhitelistedError::Reason',
               'mutateResponse/rval/value/settings[TargetingSetting]' => 'Google::Ads::AdWords::v201209::TargetingSetting',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/partialFailureErrors[BetaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/settings[TargetingSetting]/details' => 'Google::Ads::AdWords::v201209::TargetingSettingDetail',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SettingError]' => 'Google::Ads::AdWords::v201209::SettingError',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201209::ConversionOptimizerBidType',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201209::ConversionOptimizerBidType',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201209::QuotaCheckError::Reason',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[BiddingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/settings' => 'Google::Ads::AdWords::v201209::Setting',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201209::OrderBy',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201209::OperatorError',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201209::RequiredError::Reason',
               'mutate/operations/operand/stats' => 'Google::Ads::AdWords::v201209::Stats',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/reason' => 'Google::Ads::AdWords::v201209::AdxError::Reason',
               'mutateResponse/rval/partialFailureErrors[BetaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid' => 'Google::Ads::AdWords::v201209::Bid',
               'queryResponse/rval/entries/bids/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/partialFailureErrors[QuotaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201209::ReadOnlyError::Reason',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201209::NullError::Reason',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BetaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/interactionBids' => 'Google::Ads::AdWords::v201209::InteractionBid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201209::String_StringMapEntry',
               'getResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/InteractionBid.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201209::ApiError',
               'mutate/operations/operand/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[TargetingSetting]/details/targetAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201209::RateExceededError::Reason',
               'mutateResponse/rval/value/settings[TargetingSetting]/details/targetAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201209::ApiException',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'queryResponse/rval/entries/bids[PercentCPAAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids/interactionBids[PhoneInteractionBid]/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/bids/interactionBids[PhoneInteractionBid]/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/settings[TargetingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/partialFailureErrors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201209::NotWhitelistedError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201209::RequestError::Reason',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201209::InternalApiError',
               'mutate/operations/operand/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201209::Bid',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids[PhoneInteractionBid]/minimumBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/settings[TargetingSetting]/details/criterionTypeGroup' => 'Google::Ads::AdWords::v201209::CriterionTypeGroup',
               'mutateResponse/rval/value/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/interactionBids/interactionBidAmount' => 'Google::Ads::AdWords::v201209::Bid',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201209::AdGroup',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids/minimumBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/interactionBids/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201209::RejectedError',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/interactionBids[PhoneInteractionBid]/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/interactionBids/interactionBidAmount/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201209::ClientTermsError::Reason',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/interactionBids[PhoneInteractionBid]/interactionBidAmount/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201209::BidMultiplier',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/interactionBids/bidStatus' => 'Google::Ads::AdWords::v201209::InteractionBid::BidStatus',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201209::AdGroup',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/interactionBids/minimumBid/amount' => 'Google::Ads::AdWords::v201209::Money',
               'mutateResponse/rval/value/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations' => 'Google::Ads::AdWords::v201209::AdGroupOperation'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201209::TypeMaps::AdGroupService - typemap for AdGroupService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

